Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::DatabaseName::Data Struct Reference

a data of a DatabaseName More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Data ()
| constructor

## Public Attributes
librevenge::RVNGString | m_name
| the name
STOFFVec2i | m_selection
| the start/end position

## Friends
std::ostream & | operator<< (std::ostream &o, Data const &data)
| operator<<

## Detailed Description

a data of a DatabaseName

## Constructor & Destructor Documentation

## ◆ Data()

StarWriterStruct::DatabaseName::Data::Data | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Data const & | data )
| friend

operator<<

## Member Data Documentation

## ◆ m_name

librevenge::RVNGString StarWriterStruct::DatabaseName::Data::m_name

the name

Referenced by StarWriterStruct::DatabaseName::read().

## ◆ m_selection

STOFFVec2i StarWriterStruct::DatabaseName::Data::m_selection

the start/end position

Referenced by StarWriterStruct::DatabaseName::read().

The documentation for this struct was generated from the following file:

- StarWriterStruct.hxx